Subject: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Richard Stallman <[email-masked]>
Date: Sun, 25 Feb 2024 03:16:01 +0000

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Have you tried putting this on M-d?  It could be convenient but it
  > > could instead be disturbing and surprising.

  > I would expect it to be weird, as long as the proposed command uses
  > backward-kill-word, and not kill-word.

I did not see in the email that it kills a word _backwards_.  That
being so, the natural binding for it would be M-DEL.

Do people find this changed behavior for M-DEL natural?
I am not presuming either yes or no.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)